commit:     dc2c319b1a00e1f40ef96e396bf5b474e421eb57
Author:     Zac Medico <zachary.medico <AT> sony <DOT> com>
AuthorDate: Tue Jul 16 01:09:06 2019 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Tue Jul 16 01:13:14 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc2c319b

dev-python/diff-cover: Bump to version 2.3.0

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 dev-python/diff-cover/Manifest                |  1 +
 dev-python/diff-cover/diff-cover-2.3.0.ebuild | 48 +++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/diff-cover/Manifest b/dev-python/diff-cover/Manifest
index bf2d36b9153..4de4e6462a3 100644
--- a/dev-python/diff-cover/Manifest
+++ b/dev-python/diff-cover/Manifest
@@ -1 +1,2 @@
 DIST diff-cover-1.0.4.tar.gz 73907 BLAKE2B 
81562c30533739f950e52703ce235b214f66932f806a47b1ab245b69bba8ef46d4333924ddf2ba4ca6b70a7df85ae071805a4fac7181711495f46540c4a20301
 SHA512 
aa5646c5d097e2b3ace5807bde007c9d8ebcf99578dee2aff1174aaafbdb9777c4794a8e9ddd4dc6edb5af7f1afc812fce4410db87d0bab4159f044489eabb5b
+DIST diff-cover-2.3.0.tar.gz 76738 BLAKE2B 
467d8ed3cb2f4b0f76ad6b1928a87ad6f75ce46e555c061e30b56fc4856089fb270670ad9f704b9dc407e5c6cab2cf881696bd263befafbe3863bcda4ccd4ac2
 SHA512 
c47d64e1695596ba1244d687cdbbd6edf391b0c4a18b2550004bcfc36ce8798ef9e6a059e726e52eff45251b3bb27cca873be493c37b3b7eab9dec02f99953f6

diff --git a/dev-python/diff-cover/diff-cover-2.3.0.ebuild 
b/dev-python/diff-cover/diff-cover-2.3.0.ebuild
new file mode 100644
index 00000000000..b16f1d1cad9
--- /dev/null
+++ b/dev-python/diff-cover/diff-cover-2.3.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_{5,6,7}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Automatically find diff lines that need test coverage"
+HOMEPAGE="https://github.com/Bachmann1234/diff-cover";
+SRC_URI="https://github.com/Bachmann1234/diff-cover/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/jinja-2.7.1[${PYTHON_USEDEP}]
+       dev-python/jinja2_pluralize[${PYTHON_USEDEP}]
+       dev-python/pygments[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       test? (
+               dev-python/coverage[${PYTHON_USEDEP}]
+               dev-python/flake8[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+               >=dev-python/pycodestyle-2.4.0[${PYTHON_USEDEP}]
+               dev-python/pyflakes[${PYTHON_USEDEP}]
+       )"
+
+MY_PN=${PN/-/_}
+S=${WORKDIR}/${MY_PN}-${PV}
+
+python_prepare_all() {
+       # TypeError: test_parse_range_notation() takes exactly 2 arguments (1 
given)
+       sed -e 's|test_parse_range_notation|_\0|' \
+               -i "${MY_PN}/tests/test_diff_cover_main.py" || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       esetup.py test || die "tests failed with ${EPYTHON}"
+}

Reply via email to